Bug 227353 - [NEW PORT] games/barony: play the game Barony from TurningWheel
Summary: [NEW PORT] games/barony: play the game Barony from TurningWheel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-07 20:58 UTC by David Carlier
Modified: 2018-08-14 19:33 UTC (History)
0 users

See Also:


Attachments
port content (4.41 KB, text/plain)
2018-04-07 20:58 UTC, David Carlier
no flags Details
port content (3.43 KB, text/plain)
2018-04-28 10:26 UTC, David Carlier
no flags Details
port content (6.71 KB, text/plain)
2018-05-05 15:44 UTC, David Carlier
no flags Details
barony.diff (3.60 KB, patch)
2018-08-14 17:50 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Carlier 2018-04-07 20:58:54 UTC
Created attachment 192317 [details]
port content

Here a new port to be able to play the game Barony from TurningWheel

http://www.baronygame.com
Comment 1 David Carlier 2018-04-28 10:26:09 UTC
Created attachment 192868 [details]
port content

update to the 3.1.4 release
Comment 2 David Carlier 2018-05-05 15:44:14 UTC
Created attachment 193065 [details]
port content
Comment 3 Tobias Kortkamp freebsd_committer 2018-08-14 17:50:14 UTC
Created attachment 196198 [details]
barony.diff

Attaching cleaned up version.

Test builds in progress...
Comment 4 commit-hook freebsd_committer 2018-08-14 19:29:49 UTC
A commit references this bug:

Author: tobik
Date: Tue Aug 14 19:29:29 UTC 2018
New revision: 477198
URL: https://svnweb.freebsd.org/changeset/ports/477198

Log:
  New port: games/barony

  Barony is a 3D, first-person roguelike.  The goal of the game is
  to descend to the bottom of a dark dungeon known as the Devil's
  Bastion and destroy an undead lich named Baron Herx, who terrorized
  the peaceful town of Hamlet in life and is now harboring a curse
  against the land from beyond the grave.  To aid you in your quest
  are friendly humans who have been eeking out a rough life within
  the dungeon for generations, as well as any friends you can bring
  with you in real life: Barony is the first of its kind as a
  first-person roguelike in that it fully supports cooperative
  multiplayer for up to four players.

  WWW: http://www.baronygame.com/

  PR:		227353
  Submitted by:	David Carlier <devnexen@gmail.com>
  Reviewed by:	amdmi3, jbeich, tobik
  Differential Revision:	https://reviews.freebsd.org/D15310

Changes:
  head/games/Makefile
  head/games/barony/
  head/games/barony/Makefile
  head/games/barony/distinfo
  head/games/barony/files/
  head/games/barony/files/barony.sh.in
  head/games/barony/files/patch-CMakeLists.txt
  head/games/barony/files/pkg-message.in
  head/games/barony/pkg-descr
Comment 5 Tobias Kortkamp freebsd_committer 2018-08-14 19:33:23 UTC
Committed with some additional changes. Thanks!

I took the liberty of also adding the datadir-in-$HOME bit from the OpenBSD
port's pkg/README to pkg-message.